#include "Cell.h"

Cell::Cell(int color, Point point) :
		point_(point) {
	color_ = color;
}

Cell::Cell(Cell& cell) :
		point_(cell.GetPosition()) {
	color_ = cell.GetColor();
}

Cell::Cell() {
	color_ = 0;
	point_.x = 0;
	point_.y = 0;
}

Cell::~Cell() {

}

Point& Cell::GetPosition() {
	return point_;
}

int Cell::GetColor() {
	return color_;
}
