package com.vickingur.model.shapes;

import android.graphics.Point;

public interface IShape {
    static final int Eight = 0;
    static final int Glider = 1;
    static final int Solitary = 2;
    static final int Tipper = 3;
    static final int Pentadecathlon = 4;
    static final int Boat = 5;
    static final int BHeptomino = 6;
    static final int ImportedShape = 7;

    static final int NUM_SHAPES = 8;

    void build(Point start);

    Cell[] getCells();

    String getName();
}
