package com.vickingur.model.shapes;

import android.graphics.Color;
import android.graphics.Point;

public class Tipper extends Shape {

    public Tipper() {
        name = "Tipper";
        cells = new Cell[22];
    }

    @Override
    public void build(Point start) {
        int color = Color.RED;
        cells[0] = new Cell(color, start);
        cells[1] = new Cell(color, new Point(start.x, start.y + 1));
        cells[2] = new Cell(color, new Point(start.x + 1, start.y));
        cells[3] = new Cell(color, new Point(start.x + 2, start.y));
        cells[4] = new Cell(color, new Point(start.x + 1, start.y + 2));
        cells[5] = new Cell(color, new Point(start.x + 2, start.y + 2));
        cells[6] = new Cell(color, new Point(start.x + 3, start.y + 2));
        cells[7] = new Cell(color, new Point(start.x + 4, start.y + 2));
        cells[8] = new Cell(color, new Point(start.x + 5, start.y + 2));
        cells[9] = new Cell(color, new Point(start.x + 4, start.y + 1));
        cells[10] = new Cell(color, new Point(start.x + 5, start.y + 1));

        cells[11] = new Cell(color, new Point(start.x, start.y + 6));
        cells[12] = new Cell(color, new Point(start.x + 1, start.y + 6));
        cells[13] = new Cell(color, new Point(start.x + 2, start.y + 6));
        cells[14] = new Cell(color, new Point(start.x, start.y + 5));
        cells[15] = new Cell(color, new Point(start.x + 1, start.y + 4));
        cells[16] = new Cell(color, new Point(start.x + 2, start.y + 4));
        cells[17] = new Cell(color, new Point(start.x + 3, start.y + 4));
        cells[18] = new Cell(color, new Point(start.x + 4, start.y + 4));
        cells[19] = new Cell(color, new Point(start.x + 5, start.y + 4));
        cells[20] = new Cell(color, new Point(start.x + 4, start.y + 5));
        cells[21] = new Cell(color, new Point(start.x + 5, start.y + 5));
    }

}
