#include "Point.h"

Point::Point(const Point& point) {
	this->x = point.x;
	this->y = point.y;
}

Point::Point(int x, int y) {
	this->x = x;
	this->y = y;
}

Point::Point() {
	this->x = 0;
	this->y = 0;
}

int Point::operator==(const Point& point) const {
	return (x == point.x) && (y == point.y);
}

int Point::operator<(const Point& point) const {
	if (x == point.x) {
		return y < point.y;
	}
	return x < point.x;
}

int Point::operator!=(const Point& point) const {
	return (x != point.x) || (y != point.y);
}
