package com.vickingur.model.shapes;

import android.graphics.Color;
import android.graphics.Point;

public class BHeptomino extends Shape {

    public BHeptomino() {
        super();
        cells = new Cell[7];
        name = "BHeptomino";
    }

    @Override
    public void build(Point start) {
        int color = Color.rgb(0, 200, 100);
        cells[0] = new Cell(color, start);
        cells[1] = new Cell(color, new Point(start.x, start.y + 2));
        cells[2] = new Cell(color, new Point(start.x, start.y + 3));
        cells[3] = new Cell(color, new Point(start.x + 1, start.y));
        cells[4] = new Cell(color, new Point(start.x + 1, start.y + 1));
        cells[5] = new Cell(color, new Point(start.x + 1, start.y + 2));
        cells[6] = new Cell(color, new Point(start.x + 2, start.y + 1));

    }

}
