package com.vickingur.model.shapes;

import android.graphics.Color;
import android.graphics.Point;

public class Boat extends Shape {

    public Boat() {
        super();
        cells = new Cell[7];
        name = "Boat";
    }

    @Override
    public void build(Point start) {
        int color = Color.YELLOW;
        cells[0] = new Cell(color, start);
        cells[1] = new Cell(color, new Point(start.x, start.y + 1));
        cells[2] = new Cell(color, new Point(start.x + 1, start.y));
        cells[3] = new Cell(color, new Point(start.x + 1, start.y + 2));
        cells[4] = new Cell(color, new Point(start.x + 2, start.y + 1));
        cells[5] = new Cell(color, new Point(start.x + 1, start.y + 2));
        cells[6] = new Cell(color, new Point(start.x + 2, start.y + 1));
    }

}
