package com.vickingur.model.shapes;

import android.graphics.Color;
import android.graphics.Point;

public class Eight extends Shape {

    public Eight() {
        super();
        cells = new Cell[18];
        name = "Eight";
    }

    @Override
    public void build(Point start) {
        int color = Color.BLUE;
        cells[0] = new Cell(color, start);
        cells[1] = new Cell(color, new Point(start.x, start.y + 1));
        cells[2] = new Cell(color, new Point(start.x, start.y + 2));
        cells[3] = new Cell(color, new Point(start.x + 1, start.y));
        cells[4] = new Cell(color, new Point(start.x + 1, start.y + 1));
        cells[5] = new Cell(color, new Point(start.x + 1, start.y + 2));
        cells[6] = new Cell(color, new Point(start.x + 2, start.y));
        cells[7] = new Cell(color, new Point(start.x + 2, start.y + 1));
        cells[8] = new Cell(color, new Point(start.x + 2, start.y + 2));

        cells[9] = new Cell(color, new Point(start.x + 3, start.y + 3));
        cells[10] = new Cell(color, new Point(start.x + 3, start.y + 4));
        cells[11] = new Cell(color, new Point(start.x + 3, start.y + 5));
        cells[12] = new Cell(color, new Point(start.x + 4, start.y + 3));
        cells[13] = new Cell(color, new Point(start.x + 4, start.y + 4));
        cells[14] = new Cell(color, new Point(start.x + 4, start.y + 5));
        cells[15] = new Cell(color, new Point(start.x + 5, start.y + 3));
        cells[16] = new Cell(color, new Point(start.x + 5, start.y + 4));
        cells[17] = new Cell(color, new Point(start.x + 5, start.y + 5));
    }
}
