package com.vickingur.model.shapes;

import android.graphics.Color;
import android.graphics.Point;

public class Glider extends Shape {

    public Glider() {
        name = "Glider";
        cells = new Cell[5];
    }

    @Override
    public void build(Point start) {
        int color = Color.GREEN;
        cells[0] = new Cell(color, start);
        cells[1] = new Cell(color, new Point(start.x, start.y + 1));
        cells[2] = new Cell(color, new Point(start.x, start.y + 2));
        cells[3] = new Cell(color, new Point(start.x + 1, start.y + 2));
        cells[4] = new Cell(color, new Point(start.x + 2, start.y + 1));
    }

}
