package com.vickingur.model.shapes;

import android.graphics.Color;
import android.graphics.Point;

public class Pentadecathlon extends Shape {

    public Pentadecathlon() {
        super();
        name = "Pentadecathlon";
        cells = new Cell[12];
    }

    @Override
    public void build(Point start) {
        int color = Color.MAGENTA;
        cells[0] = new Cell(color, start);
        cells[1] = new Cell(color, new Point(start.x, start.y + 1));
        cells[2] = new Cell(color, new Point(start.x - 1, start.y + 2));
        cells[3] = new Cell(color, new Point(start.x + 1, start.y + 2));
        cells[4] = new Cell(color, new Point(start.x, start.y + 3));
        cells[5] = new Cell(color, new Point(start.x, start.y + 4));
        cells[6] = new Cell(color, new Point(start.x, start.y + 5));
        cells[7] = new Cell(color, new Point(start.x, start.y + 6));
        cells[8] = new Cell(color, new Point(start.x - 1, start.y + 7));
        cells[9] = new Cell(color, new Point(start.x + 1, start.y + 7));
        cells[10] = new Cell(color, new Point(start.x, start.y + 8));
        cells[11] = new Cell(color, new Point(start.x, start.y + 9));
    }

}
