package com.vickingur.model.shapes;

import android.graphics.Point;

public abstract class Shape implements IShape {

    protected Cell[] cells;
    protected String name;

    public Shape() {

    }

    @Override
    public abstract void build(Point start);

    @Override
    public Cell[] getCells() {
        return cells;
    }

    @Override
    public String getName() {
        return name;
    }

}
