package com.vickingur.util;

import android.graphics.Point;

public class Constants {
    public static final float RADIUS_MULTIPLIER = 0.45f;
    public static final double BITMAP_HEIGHT_MULTIPLIER = 0.95;
    public static final double BITMAP_WIDTH_MULTIPLIER = 1.0;
    public static final int RGB_MAX_VALUE = 256;
    public static final int SLEEP_TIME = 100;
    public static final Point TEST_START_POINT_GLIDER = new Point(10, 10);
    public static final Point TEST_START_POINT_EIGHT = new Point(30, 40);
    public static final Point TEST_START_POINT_PENTA = new Point(35, 20);
    public static final Point TEST_START_POINT_TIPPER = new Point(30, 10);
    public static final Point TEST_START_POINT_BOAT = new Point(15, 20);
    public static final Point TEST_START_POINT_BHEPTOMINO = new Point(20, 25);
    public static final Point TEST_START_POINT_IMPORTED = new Point(20, 20);
    public static final int SIZE_DIVIDER = 4;
    public static final String COMMENT_SYMBOL = "!";
    public static final char CELL_SYMBOL = 'O';
    public static final String IMPORT_SHAPES_DIR = "shapes";
    public static final String IMPORT_FILE_EXT = ".cells";
    public static final String IMPORT_TEST_NAME = "22p2" + IMPORT_FILE_EXT;
    public static final float TEXT_SIZE = 12;
    public static final long DRAWING_PERIOD = 300;
    public static final int KILO = 1000;
    public static final int MEGA = KILO * KILO;
    public static final boolean IS_NATIVE_IMPL = true;
}
